Package twisted :: Package python :: Module formmethod :: Class Date

[show private | hide private]
[frames | no frames]

## Class Date

    Argument --+
               |
              Date

A date.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints)` (inherited from `Argument`)
| `addHint(self, hint)` (inherited from `Argument`)
| ``coerce`(self, args)` Return tuple of ints (year, month, day).
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Class Variable Summary
`tuple` | `defaultDefault`

Method Details

### coerce(self, args)

Return tuple of ints (year, month, day).

Class Variable Details

### defaultDefault

  Type:
    `tuple`
  Value:

        (1970, 1, 1)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:05 2003 | http://epydoc.sf.net